Tp::Service::ConnectionInterfaceAnonymityAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::Service::ConnectionInterfaceAnonymityAdaptor Class Reference
Connection service implementation

`#include <TelepathyQt/_gen/svc-connection.h>`

Inherits Tp::AbstractAdaptor.

## Signals
void | AnonymityModesChanged (uint modes)

## Public Member Functions
uint | SupportedAnonymityModes () const
bool | AnonymityMandatory () const
void | SetAnonymityMandatory (const bool &newValue)
uint | AnonymityModes () const
void | SetAnonymityModes (const uint &newValue)
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Anonymity".

## Member Function Documentation

uint Tp::Service::ConnectionInterfaceAnonymityAdaptor::SupportedAnonymityModes | ( |  | ) | const

Return the value of the exported D-Bus object property `SupportedAnonymityModes` of type `uint`.

Adaptees should export this property as a Qt property named 'supportedAnonymityModes' with type uint.

The anonymity modes supported by the CM for this connection. Once Connection.Status has moved to Connected, this property MUST NOT change.

Returns
  The value of exported property `SupportedAnonymityModes`.

bool Tp::Service::ConnectionInterfaceAnonymityAdaptor::AnonymityMandatory | ( |  | ) | const

Return the value of the exported D-Bus object property `AnonymityMandatory` of type `bool`.

Adaptees should export this property as a Qt property named 'anonymityMandatory' with type bool.

This specifies whether or not the anonymity settings MUST be respected by the CM and any intermediaries between the local and remote contacts. If this is set to true but anonymity settings cannot be followed, then the session MUST be denied with a org.freedesktop.Telepathy.Error.WouldBreakAnonymity error. Any client that sets AnonymityModes SHOULD also set this property first (rather than accepting the CM's default value).

Returns
  The value of exported property `AnonymityMandatory`.

void Tp::Service::ConnectionInterfaceAnonymityAdaptor::SetAnonymityMandatory | ( | const bool & | newValue | ) |

Set the value of the exported D-Bus object property `AnonymityMandatory` of type `bool`.

Adaptees should export this property as a writable Qt property named 'anonymityMandatory' with type bool.

This specifies whether or not the anonymity settings MUST be respected by the CM and any intermediaries between the local and remote contacts. If this is set to true but anonymity settings cannot be followed, then the session MUST be denied with a org.freedesktop.Telepathy.Error.WouldBreakAnonymity error. Any client that sets AnonymityModes SHOULD also set this property first (rather than accepting the CM's default value).

uint Tp::Service::ConnectionInterfaceAnonymityAdaptor::AnonymityModes | ( |  | ) | const

Return the value of the exported D-Bus object property `AnonymityModes` of type `uint`.

Adaptees should export this property as a Qt property named 'anonymityModes' with type uint.

The currently enabled anonymity modes for the connection. Setting has the effect of requesting new modes for the connection, and may raise an error if the unsupported modes are set. Successfully changing the modes will result in emission of AnonymityModesChanged signal.

Returns
  The value of exported property `AnonymityModes`.

void Tp::Service::ConnectionInterfaceAnonymityAdaptor::SetAnonymityModes | ( | const uint & | newValue | ) |

Set the value of the exported D-Bus object property `AnonymityModes` of type `uint`.

Adaptees should export this property as a writable Qt property named 'anonymityModes' with type uint.

The currently enabled anonymity modes for the connection. Setting has the effect of requesting new modes for the connection, and may raise an error if the unsupported modes are set. Successfully changing the modes will result in emission of AnonymityModesChanged signal.

void Tp::Service::ConnectionInterfaceAnonymityAdaptor::AnonymityModesChanged | ( | uint | modes | ) |
| signal

Represents the exported D-Bus signal `AnonymityModesChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void anonymityModesChanged(uint modes);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  modes |
      The new anonymity modes for this connection.